Bug 964168 - TypeError on message release/reject
Summary: TypeError on message release/reject
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: perl-qpid
Version: Development
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 3.0
: ---
Assignee: Darryl L. Pierce
QA Contact: Eric Sammons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-17 12:16 UTC by Petr Matousek
Modified: 2015-06-22 00:08 UTC (History)
6 users (show)

Fixed In Version: perl-qpid-0.22-5.el6, perl-qpid-0.22-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-22 15:28:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-4857 None None None Never

Description Petr Matousek 2013-05-17 12:16:26 UTC
Description of problem:

When user tries to release/reject the acquired message, following error occurs:
TypeError in method 'Session_release', argument 2 of type 'qpid::messaging::Message &'

Version-Release number of selected component (if applicable):
perl-qpid-0.22-4

How reproducible:
100%

Steps to Reproduce:
1. see additional info 
  
Actual results:
Unable to release/reject message

Expected results:
Acquired message may be released/rejected

Additional info:

Reproducer:

1. release message

#!/usr/bin/env perl

use qpid;

my $message  = new qpid::messaging::Message();
my $address  = "q;{create:sender,delete:receiver}";

my $connection = new qpid::messaging::Connection("127.0.0.1");
$connection->open();
my $session  = $connection->create_session();
my $sender = $session->create_sender($address);
my $receiver = $session->create_receiver($address);
$sender->send($message);
eval { $message = $receiver->fetch(0); };
$session->release($message);
$session->reject($message);
$receiver->close();
$session->close();
$connection->close();

2. reject message

same as above with following modification:
- $session->release($message);
+ $session->reject($message);

Comment 3 Valiantsina Hubeika 2014-01-29 16:02:32 UTC
verified in
perl-qpid-0.22-7.el6.i686
perl-qpid-0.22-7.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.